import { request } from '@umijs/max';


export default {
    //创建
    Add(parms: Account.TBAccountDTO) {
        return request('/api/authorize/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //删除
    Del(parms: Account.TBAccountDTO) {
        return request(`/api/authorize/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //修改
    Update(parms: Account.TBAccountDTO) {
        return request('/api/authorize/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //列表
    List() {
        return request('/api/authorize/list', {
            method: 'POST',
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: Account.TBAccountDTO) {
        return request('/api/authorize/accountpagelist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    }
}

